{ config, pkgs, ... }:

{
  imports =
    [
      ./hardware-configuration.nix
      ../../configuration/common
    ];

  boot.loader.systemd-boot.enable = true;
  boot.loader.efi.canTouchEfiVariables = true;

  networking.hostName = "palladium";

  networking.useDHCP = false;
  networking.interfaces.enp3s0.useDHCP = true;

  system.stateVersion = "21.03";

}
